/*
 *     Designed and developed in 2022-2024 by William Walker (wnwalker@ucsc.edu)
 *     Copyright 2022-2024 The Regents of the University of California. All rights reserved.
 *
 *     This library is free software; you can redistribute it and/or
 *     modify it under the terms of the GNU Lesser General Public
 *     License as published by the Free Software Foundation; version 2.1 of the License.
 *
 *     This library is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *     Lesser General Public License for more details.
 *
 *     You should have received a copy of the GNU Lesser General Public
 *     License along with this library; if not, write to the Free Software
 *     Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 */
package edu.ucsc.its.temerity.util

import edu.ucsc.its.temerity.extensions.datetime.DateTimeExt
import kotlinx.datetime.LocalDate
import kotlinx.datetime.LocalTime

/**
 * Get the current date as a [LocalDate] object
 * @return The current date as a [LocalDate] object
 */
public fun currentDate(): LocalDate = DateTimeExt.currentDate()

/**
 * Get the current time as a [LocalTime] object
 * @return The current time as a [LocalTime] object
 */
public fun currentTime(): LocalTime = DateTimeExt.currentTime()
